<section class="content">
    <section class="invoice">

        <form [formGroup]="initializationForm" novalidate>
            <div class="row">
                <div class="col-xs-12">
                    <h2 class="page-header">
                        <i class="fa fa-id-card"></i> {{ title }}
                    </h2>
                </div>
            </div>

            <div class="row">
                <div class="form-group">
                    <label class="col-md-12 control-label">Token * </label>
                    <div class="col-md-12">
                        <cms-input-container errorMessage="Token is required" label="Nonce">
                            <input type="text" class="form-control" formControlName="token" placeholder="Enter the token value" autocomplete="off">
                        </cms-input-container>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    <p class="lead">Signature settings:</p>
                </div>
                <div class="col-sm-6 col-xs-12">
                    <label>Select a certificate: </label>
                    <select class="form-control" id="select-certificado-list" (change)="fillCertificateDataForm();"></select>
                </div>
                <div class="col-sm-3 col-xs-12">
                    <label>Refresh</label>
                </div>
                <div class="col-sm-6 col-xs-12">
                    <a class="btn btn-default" href="#" (click)="listCertificates()"><span class="glyphicon glyphicon-refresh"></span></a>
                </div>
            </div>
            <br/>
            <div class="row">
                <div class="col-sm-12 col-xs-12">
                    <label>Certificate (Base64) *</label>
                    <input class="form-control" formControlName="certificate" #certificateBase64 id="input-dados-certificado" placeholder="Certificate" autocomplete="off" readonly>
                </div>
            </div>
            <br/>
            <div class="row">
                <div class="col-sm-3 col-xs-12">
                    <label>Nonce *</label>
                    <cms-input-container errorMessage="Nonce is required" label="Nonce">
                        <input type="text" class="form-control" formControlName="nonce" placeholder="Nonce" autocomplete="off">
                    </cms-input-container>
                </div>

                <div class="col-sm-3 col-xs-12">
                    <label>Attached </label>
                    <input type="text" class="form-control" formControlName="attached" placeholder="Attached" value="true" autocomplete="off" readonly>
                </div>

                <div class="col-sm-3 col-xs-6">
                    <label>Profile </label>
                    <input type="text" class="form-control" formControlName="profile" placeholder="Profile" autocomplete="off" value="BASIC" readonly>
                </div>

                <div class="col-sm-3 col-xs-6">
                    <label>Hash Algorithm *</label>
                    <cms-input-container errorMessage="Hash value is required" label="HashAlgorithm">
                        <input type="text" class="form-control" formControlName="hashAlgorithm" placeholder="SHA1, SHA256 ou SHA512" autocomplete="off">
                    </cms-input-container>
                </div>
            </div>
            <br/>

            <div class="row">
                <div class="col-sm-3 col-xs-12">
                    <label>Operation Type </label>
                    <input class="form-control" formControlName="operationType" placeholder="Operation Type" autocomplete="off" value="SIGNATURE" readonly>
                </div>
            </div>

            <br/>
            <div class="row">
                <div class="col-xs-12">
                    <p class="lead">Document settings:</p>
                </div>
                <div class="col-sm-3 col-xs-12">
                    <label>Nonce *</label>
                    <cms-input-container errorMessage="Document nonce is required" label="Document nonce">
                        <input type="text" class="form-control" formControlName="documentNonce" placeholder="Nonce" autocomplete="off">
                    </cms-input-container>
                </div>
                <div class="col-sm-3 col-xs-6">
                    <label>Document *</label>
                    <cms-input-container errorMessage="Document is required" label="Documento">
                        <input (change)=upload($event) #file type="file" class="form-control" formControlName="file" placeholder="Document" autocomplete="off">
                    </cms-input-container>
                </div>

            </div>

            <div class="row" *ngIf="signature">
                <div class="form-group">
                    <label class="col-md-12 control-label">Signature: </label>
                    <div class="col-md-12">
                        <textarea type="text" rows="5" formControlName="signature" class="form-control" value=""></textarea>
                    </div>
                </div>
            </div>

        </form>

        <br />
        <div class="row">
            <div class="col-xs-12" *ngIf="!signature">
                <button (click)="initialize(initializationForm, certificateBase64.value)" class="btn btn-primary pull-right" [disabled]="!initializationForm.valid">
                  <i class="fa fa-play-circle"></i> Sign
              </button>
            </div>
            <div class="col-xs-12" *ngIf="signature">
                <div class="pull-right">
                    <button (click)="clear()" type="button" class="btn btn-primary"><i class="fa fa-trash"></i> Clear</button>
                </div>
            </div>
        </div>


    </section>
</section>